# mergetb::api
# ------
#
# This deployment contains the mergetb external api service definition and 
# underlying implementation
#

kind: Service
apiVersion: v1
metadata:
  name: api
spec:
  selector:
    app: portal
    component: api
  ports:
  - protocol: "TCP"
    port: 443
    targetPort: 443
  externalIPs:
  - 10.100.0.10
  - 10.100.0.11
  - 10.100.0.12
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api
spec:
  replicas: {{ in.merge.replicas }}
  selector:
    matchLabels:
      app: portal
      component: api
  template:
    metadata:
      labels:
        app: portal
        component: api
    spec:
      tolerations:
       - key: dedicated
         operator: Equal
         value: service_worker
         effect: NoSchedule
      containers:
        - name: api
          image: "{{ in.merge.registry.reg }}/{{ in.merge.registry.org }}/api:{{ in.merge.registry.tag }}"
          imagePullPolicy: Always
          ports:
            - name: https
              containerPort: 443
          volumeMounts:
            - name: config-volume
              mountPath: /etc/merge
            - name: api-cert-volume
              mountPath: /certs
            - name: db-cert-volume
              mountPath: /dbcerts
      volumes:
        - name: config-volume
          configMap:
            name: merge-config
        - name: api-cert-volume
          configMap:
            name: merge-api-cert
        - name: db-cert-volume
          configMap:
            name: merge-db-cert
